Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.httpclient
Class ThreadLocalHttpConnectionManager

    java.lang.Object
      org.archive.httpclient.ThreadLocalHttpConnectionManager

All Implemented Interfaces:
  org.apache.commons.httpclient.HttpConnectionManager

    public final class ThreadLocalHttpConnectionManager

extends java.lang.Object
implements org.apache.commons.httpclient.HttpConnectionManager

A simple, but thread-safe HttpClient `HttpConnectionManager`. Based on `SimpleHttpConnectionManager`. Java >= 1.4 is recommended.

Author:
  Christian Kohlschuetter

Constructor Summary
`ThreadLocalHttpConnectionManager()`

Method Summary
`void` | `closeIdleConnections(long idleTimeout)`
`org.apache.commons.httpclient.HttpConnection` | `getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration)`
`org.apache.commons.httpclient.HttpConnection` | `getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)` Deprecated. Use #getConnectionWithTimeout(HostConfiguration, long)
`org.apache.commons.httpclient.HttpConnection` | `getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration hostConfiguration, long timeout)`
`org.apache.commons.httpclient.params.HttpConnectionManagerParams` | `getParams()` Returns `parameters` associated with this connection manager.
`boolean` | `isConnectionStaleCheckingEnabled()` Deprecated. Use `HttpConnectionParams.isStaleCheckingEnabled()`, `HttpConnectionManager.getParams()`.
`void` | `releaseConnection(org.apache.commons.httpclient.HttpConnection conn)`
`void` | `setConnectionStaleCheckingEnabled(boolean connectionStaleCheckingEnabled)` Deprecated. Use `HttpConnectionParams.setStaleCheckingEnabled(boolean)`, `HttpConnectionManager.getParams()`.
`void` | `setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams p)` Assigns `parameters` for this connection manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadLocalHttpConnectionManager

    public ThreadLocalHttpConnectionManager()

Method Detail

### getConnection

    public org.apache.commons.httpclient.HttpConnection getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration)

  Specified by:
    `getConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  See Also:
    `HttpConnectionManager.getConnection(HostConfiguration)`

### isConnectionStaleCheckingEnabled

    public boolean isConnectionStaleCheckingEnabled()

  Deprecated. Use `HttpConnectionParams.isStaleCheckingEnabled()`, `HttpConnectionManager.getParams()`.

  Gets the staleCheckingEnabled value to be set on HttpConnections that are created.

  Returns:
    `true` if stale checking will be enabled on HttpConections
  See Also:
    `HttpConnection.isStaleCheckingEnabled()`

### setConnectionStaleCheckingEnabled

    public void setConnectionStaleCheckingEnabled(boolean connectionStaleCheckingEnabled)

  Deprecated. Use `HttpConnectionParams.setStaleCheckingEnabled(boolean)`, `HttpConnectionManager.getParams()`.

  Sets the staleCheckingEnabled value to be set on HttpConnections that are created.

  Parameters:
    `connectionStaleCheckingEnabled` - `true` if stale checking will be enabled on HttpConections
  See Also:
    `HttpConnection.setStaleCheckingEnabled(boolean)`

### getConnectionWithTimeout

    public org.apache.commons.httpclient.HttpConnection getConnectionWithTimeout(org.apache.commons.httpclient.HostConfiguration hostConfiguration,
                                                                                 long timeout)

  Specified by:
    `getConnectionWithTimeout` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  Since:
    3.0
  See Also:
    `HttpConnectionManager.getConnectionWithTimeout(HostConfiguration, long)`

### getConnection

    public org.apache.commons.httpclient.HttpConnection getConnection(org.apache.commons.httpclient.HostConfiguration hostConfiguration,
                                                                      long timeout)

  Deprecated. Use #getConnectionWithTimeout(HostConfiguration, long)

  Specified by:
    `getConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  See Also:
    `HttpConnectionManager.getConnection(HostConfiguration, long)`

### releaseConnection

    public void releaseConnection(org.apache.commons.httpclient.HttpConnection conn)

  Specified by:
    `releaseConnection` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  See Also:
    `HttpConnectionManager.releaseConnection(org.apache.commons.httpclient.HttpConnection)`

### getParams

    public org.apache.commons.httpclient.params.HttpConnectionManagerParams getParams()

  Returns `parameters` associated with this connection manager.

  Specified by:
    `getParams` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  Since:
    2.1
  See Also:
    `HttpConnectionManagerParams`

### setParams

    public void setParams(org.apache.commons.httpclient.params.HttpConnectionManagerParams p)

  Assigns `parameters` for this connection manager.

  Specified by:
    `setParams` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  Since:
    2.1
  See Also:
    `HttpConnectionManagerParams`

### closeIdleConnections

    public void closeIdleConnections(long idleTimeout)

  Specified by:
    `closeIdleConnections` in interface `org.apache.commons.httpclient.HttpConnectionManager`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.